List a message's deliveries

GET
/v1/hooks/applications/{application}/messages/{message_id}/deliveries

One delivery per endpoint the message went to.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

application*string

The application's id (happ_…) or your uid for it.

message_id*string

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The message's deliveries.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.hooks.messages.listDeliveries("customer_8812", "hmsg_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "list",  "data": [    {      "object": "hook_delivery",      "id": "hdel_01k7c8m4q2f3e9v6t5r1n0p8yz",      "application_id": "happ_01k7c8m4q2f3e9v6t5r1n0p8yz",      "message_id": "hmsg_01k7c8m4q2f3e9v6t5r1n0p8yz",      "endpoint_id": "hep_01k7c8m4q2f3e9v6t5r1n0p8yz",      "status": "succeeded",      "attempt_count": 1,      "next_attempt_at": null,      "last_status_code": 200,      "last_error": null,      "created_at": "2026-01-15T09:30:00.000Z",      "finished_at": "2026-01-15T09:30:00.000Z"    }  ],  "has_more": false}